Insert or delete entity records

Prev Next
Post
/v2/LogicalEntityData/{entitySystemName}/records

Inserts records into, or deletes records from, the specified logical entity.

  • To insert records, omit the delete query parameter and send an array of record objects.
  • To delete records, include the delete query parameter and send an array of objects containing only the entity’s primary key fields.
Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
entitySystemName
stringRequired

Developer-friendly system name of the Zilliant entity.

ExampleUOM
Query parameters
delete

Delete operation flag. When present, the service treats this POST as a delete request and expects the body to contain records to delete.

Note: The Try it & see response feature on this page doesn’t support presence-only query parameters (parameters that are enabled by including the name only). To use this query parameter, run the request from your preferred tool and manually add it to the request URL.

Body parameters
Insert single record

Insert a single UOM record.

[
  {
    "UOMId": "5001",
    "UOMSetId": "1",
    "Type": "Box",
    "ConversionFactor": 100.0,
    "SequenceNumber": null,
    "DisplayName": null,
    "IsHidden": null
  }
]
Insert multiple records

Insert multiple UOM records.

[
  {
    "UOMId": "5002",
    "UOMSetId": "1",
    "Type": "Box",
    "ConversionFactor": 95.0,
    "SequenceNumber": null,
    "DisplayName": null,
    "IsHidden": null
  },
  {
    "UOMId": "5003",
    "UOMSetId": "1",
    "Type": "Crate",
    "ConversionFactor": 105.0,
    "SequenceNumber": null,
    "DisplayName": null,
    "IsHidden": null
  }
]
Delete single record

Delete a single UOM record (with the use of the delete query parameter).

[
  {
    "UOMId": "5001"
  }
]
Expand All
OneOf
array
array
object

Unlabeled array of one or more objects. Each object defines the record to insert. Objects comprise a set of key-value pairs that must populate all available fields in the record. Each object uses field system names as keys and field values as values. Values may be null.

array
array
object

Unlabeled array of one or more objects. Each object defines a record to delete. Objects must include a single key-value pair specifying the system name of the entity's primary key field, and the unique ID value of the record to delete.

Responses
200

Operation succeeded. Returns one result object per attempted record insertion or deletion, including success or failure details.

401

No token found in the request.

404

Logical entity with the given entitySystemName does not exist.

424

Error communicating with dependee service.

500

Service failed to process request.